PUT {{baseURL}}/pay-api/v1/transactions/settings/autofill
This endpoint updates Level 2-Level 3 autofill settings.
Care must be taken to complete all the fields with the existing information.
See Also:
To list level 2 and 3 autofill settings, see GET /pay-api/v1/transactions/settings/autofill.
Security
Bearer
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-api/v1/transactions/settings/autofill
- Sandbox environmenthttps://sandbox.api.flute.com/pay-api/v1/transactions/settings/autofill
- Production environmenthttps://api.flute.com/pay-api/v1/transactions/settings/autofill
curl -i -X PUT \
https://developer.flute.com/_mock/api-reference/pay-api/v1/transactions/settings/autofill \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"l2Settings": {
"taxRate": 0.1
},
"l3Settings": {
"product": {
"name": "string",
"code": "SKU/24601",
"unitPrice": 0.1,
"measurementUnit": "string",
"quantity": 0.1,
"discountPercentage": 1.5,
"description": "string"
},
"shippingCharge": 0.1,
"dutyChargeRate": 0.1
}
}'